/*
 *  This file is part of uIRC. (https://git.redxen.eu/caskd/uIRC)
 *  Copyright (c) 2019, 2020 Alex-David Denes
 *
 *  uIRC is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  uIRC is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with uIRC.  If not, see <https://www.gnu.org/licenses/>.
 */

#include "../include/mappings.h"
#include "../include/types.h"

#include <stdio.h>
#include <string.h>

#ifndef UIRC_GUARD_PRIVATE_MISC
#define UIRC_GUARD_PRIVATE_MISC

#ifdef UIRC_IRCV3
struct tagmapping {
	const char* const name;
	IRC_Tag*          assg;
};
#endif /* UIRC_IRCV3 */

signed short Ircmd_stoi(char* str);
size_t       safe_strcpy(char** dest, const char* src, size_t lef);
bool         safe_charcpy(char** dest, char c, size_t lef);
void         skip_spaces(char** addr);
char*        strtok_mr(char** addr, const char* tokens);
#endif /* UIRC_GUARD_PRIVATE_MISC */

